List Users
get
/public/v1/usersfilter[status]stringFilter by user status. Comma-separate to combine values. One of: active, deactivated, invited, restricted.
Example:activefilter[contact_number]stringPartial match across both the phone and mobile numbers.
Example:0412filter[employment_title]stringPartial match on the employment title. Comma-separate to combine values.
Example:Service Managerpage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of UserResource
dataobject[]required▶Show 6 child attributesHide child attributes
idstringrequiredExample:u1s2e3r4-a5b6-47c8-9d0e-1f2a3b4c5d6efirst_namestringrequiredExample:Johnlast_namestringrequiredExample:DoeemailstringrequiredExample:john.doe@example.comstatusenum<string>requiredAvailable options:activedeactivatedinvitedrestrictedemployment_titlestring | nullrequiredExample:Service Manager
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error